diff --git a/contrib/file_fdw/file_fdw.c b/contrib/file_fdw/file_fdw.c
index d325f53..ffed8d4 100644
--- a/contrib/file_fdw/file_fdw.c
+++ b/contrib/file_fdw/file_fdw.c
@@ -36,6 +36,12 @@
 #include "utils/rel.h"
 #include "utils/sampling.h"
 
+/* define our text domain for translations */
+#undef TEXTDOMAIN
+#define TEXTDOMAIN PG_TEXTDOMAIN("file_fdw")
+
+extern void _PG_init(void);
+
 PG_MODULE_MAGIC;
 
 /*
@@ -162,6 +168,18 @@ static int file_acquire_sample_rows(Relation onerel, int elevel,
 
 
 /*
+ * _PG_init()                   - library load-time initialization
+ *
+ * DO NOT make this static nor change its name!
+ *
+ */
+void
+_PG_init(void)
+{
+	pg_bindtextdomain(TEXTDOMAIN);
+}
+
+/*
  * Foreign-data wrapper handler function: return a struct with pointers
  * to my callback routines.
  */
diff --git a/contrib/file_fdw/nls.mk b/contrib/file_fdw/nls.mk
new file mode 100644
index 0000000..0b938df
--- /dev/null
+++ b/contrib/file_fdw/nls.mk
@@ -0,0 +1,6 @@
+# contrib/file_fdw/nls.mk
+CATALOG_NAME     = file_fdw
+AVAIL_LANGUAGES  =
+GETTEXT_FILES    = file_fdw.c
+GETTEXT_TRIGGERS = $(BACKEND_COMMON_GETTEXT_TRIGGERS)
+GETTEXT_FLAGS    = $(BACKEND_COMMON_GETTEXT_FLAGS)
